Bug 26397 - opac.scss calls non-existent image
Summary: opac.scss calls non-existent image
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 20.05
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-06 01:12 UTC by Alvaro Cornejo
Modified: 2021-01-21 23:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch removes some obsolete CSS from the OPAC which calls a non-existent image.
Version(s) released in:
20.05.08


Attachments
Bug 26397: opac.scss calls non-existent image (2.04 KB, patch)
2020-12-02 15:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26397: [20.05.x] opac.scss calls non-existent image (2.13 KB, patch)
2020-12-10 12:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26397: [20.05.x] opac.scss calls non-existent image (2.18 KB, patch)
2020-12-14 19:20 UTC, David Nind
Details | Diff | Splinter Review
Bug 26397: [20.05.x] opac.scss calls non-existent image (2.24 KB, patch)
2020-12-21 17:02 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alvaro Cornejo 2020-09-06 01:12:40 UTC
Hi

/usr/share/koha/opac/htdocs/opac-tmpl/bootstrap/css/src/opac.scss
/usr/share/koha/opac/htdocs/opac-tmpl/bootstrap/css/opac.css

Are calling non existant image logo-koha.png
Comment 1 Jonathan Druart 2020-12-02 13:46:23 UTC
Valid in 20.05.x

Owen, could you have a look?
Comment 2 Jonathan Druart 2020-12-02 13:50:52 UTC
It's coming from bug 10309, but it has never been copied from ccsr.
Comment 3 Owen Leonard 2020-12-02 15:07:32 UTC Comment hidden (obsolete)
Comment 4 David Nind 2020-12-07 17:54:42 UTC
Patch no longer applies 8-(

Applying: Bug 26397: opac.scss calls non-existent image
Using index info to reconstruct a base tree...
M	koha-tmpl/opac-tmpl/bootstrap/css/src/opac.scss
A	koha-tmpl/opac-tmpl/bootstrap/css/src/right-to-left.scss
Falling back to patching base and 3-way merge...
CONFLICT (modify/delete): koha-tmpl/opac-tmpl/bootstrap/css/src/right-to-left.scss deleted in HEAD and modified in Bug 26397: opac.scss calls non-existent image. Version Bug 26397: opac.scss calls non-existent image of koha-tmpl/opac-tmpl/bootstrap/css/src/right-to-left.scss left in tree.
Auto-merging koha-tmpl/opac-tmpl/bootstrap/css/src/opac.scss
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/bootstrap/css/src/opac.scss
Comment 5 Owen Leonard 2020-12-10 12:18:37 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2020-12-10 12:19:23 UTC
(In reply to David Nind from comment #4)
> Patch no longer applies 8-(

Sorry I should have made it more clear, so I've modified the commit message: The patch is specifically for 20.05.x
Comment 7 David Nind 2020-12-14 19:20:16 UTC Comment hidden (obsolete)
Comment 8 Nick Clemens 2020-12-21 17:02:26 UTC
Created attachment 114572 [details] [review]
Bug 26397: [20.05.x] opac.scss calls non-existent image

This patch removes some obsolete CSS from the OPAC which calls a
non-existent image. There should be no visible change.

This patch is specifically for Koha 20.05.x. The bug does not appear in
master.

To test, apply the patch and rebuild the OPAC SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

View the OPAC and confirm that nothing has changed in the style of the
Koha logo in the header.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Jonathan Druart 2021-01-04 12:30:44 UTC
Sending to 20.05 RM queue.
Comment 10 Andrew Fuerste-Henry 2021-01-13 22:13:12 UTC
Pushed to 20.05.x for 20.05.08
Comment 11 Victor Grousset/tuxayo 2021-01-21 23:11:05 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.